// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/core_types.proto

package gg.dsepractice.chinese.v1alpha1;

public interface ListGameSessionsResponseOrBuilder extends
    // @@protoc_insertion_point(interface_extends:dsepractice.chinese.v1alpha1.ListGameSessionsResponse)
    com.google.protobuf.MessageLiteOrBuilder {

  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.GameSession game_sessions = 1 [json_name = "gameSessions"];</code>
   */
  java.util.List<gg.dsepractice.chinese.v1alpha1.GameSession> 
      getGameSessionsList();
  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.GameSession game_sessions = 1 [json_name = "gameSessions"];</code>
   */
  gg.dsepractice.chinese.v1alpha1.GameSession getGameSessions(int index);
  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.GameSession game_sessions = 1 [json_name = "gameSessions"];</code>
   */
  int getGameSessionsCount();

  /**
   * <code>.dsepractice.chinese.v1alpha1.PaginationInfo pagination_info = 2 [json_name = "paginationInfo"];</code>
   * @return Whether the paginationInfo field is set.
   */
  boolean hasPaginationInfo();
  /**
   * <code>.dsepractice.chinese.v1alpha1.PaginationInfo pagination_info = 2 [json_name = "paginationInfo"];</code>
   * @return The paginationInfo.
   */
  gg.dsepractice.chinese.v1alpha1.PaginationInfo getPaginationInfo();
}
